#include <Wire.h>
#include <LiquidCrystal_I2C.h>

#define buzzPin  3
#define trigPin1 4
#define echoPin1 5
#define trigPin2 6
#define echoPin2 7
#define bluePin  8
#define greenPin 9
#define redPin   10

long duration1, duration2;
int distance1, distance2;
LiquidCrystal_I2C lcd(0x27, 16,2);

void setup() {

  lcd.init();
  lcd.backlight();
  lcd.setCursor(0,0);
  pinMode(buzzPin, OUTPUT);
  pinMode(trigPin1, OUTPUT);
  pinMode(echoPin1, INPUT);
  pinMode(trigPin2, OUTPUT);
  pinMode(echoPin2, INPUT);
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);

  Serial.begin(9600);
}
void loop() {
  digitalWrite(buzzPin, HIGH);
  if ((distance1 <25)&&(distance1 > 0) || (distance2 <25)&&(distance2>0))
  {
    digitalWrite(buzzPin, LOW);
    
    lcd.setCursor(0,0);
    for(int i = 0 ; i < 16; i++)
    lcd.write(255);
    lcd.setCursor(0,1);
    for(int i = 0 ; i < 16; i++)
    lcd.write(255);
    
    RGB_color(255,0,0);
  }else if ((distance1 <50)&&(distance1 >= 25) || (distance2 <50)&&(distance2>=25))
  {
   
    lcd.clear();
    lcd.setCursor(0,0);
    for(int i = 0 ; i < 12; i++)
      lcd.write(255);
    lcd.setCursor(0,1);
    for(int i = 0 ; i < 12; i++)
      lcd.write(255);

    
    RGB_color(255,0,255);
  } else if ((distance1 <=75)&&(distance1 >= 50) || (distance2<=75)&&(distance2>=50)) {
 
    lcd.clear();
    lcd.setCursor(0,0);
    for(int i = 0 ; i < 8; i++)
      lcd.write(255);
    lcd.setCursor(0,1);
    for(int i = 0 ; i < 8; i++)
      lcd.write(255);

    
    RGB_color(0,0,255);
  } else if ((distance1 <=100)&&(distance1 > 75) || (distance2<=100)&&(distance2>75)) {

    lcd.clear();
    lcd.setCursor(0,0);
    for(int i = 0 ; i < 4; i++)
      lcd.write(255);
    lcd.setCursor(0,1);
    for(int i = 0 ; i < 4; i++)
      lcd.write(255);

    
    RGB_color(0,255,0);
  } else if ((distance1 > 100) && (distance2 > 100)){
    lcd.clear();
    digitalWrite(buzzPin, HIGH);
    RGB_color(0,0,0);
}
  digitalWrite(trigPin1, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin1, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin1, LOW);

  duration1 = pulseIn(echoPin1, HIGH);
  distance1 = duration1 * 0.034 / 2;
  
  Serial.print("Distance1: ");
  Serial.print(distance1);
  Serial.println(" cm");
  
  digitalWrite(trigPin2, LOW);
  delayMicroseconds(2); 
  digitalWrite(trigPin2, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin2, LOW);
  
  duration2 = pulseIn(echoPin2, HIGH);
  distance2 = duration2 * 0.034 / 2;
  
  Serial.print("Distance2: ");
  Serial.print(distance2);
  Serial.println(" cm");

  
  delay(500);
}

void RGB_color(int red_light_value, int green_light_value, int blue_light_value)
 {
  analogWrite(redPin, red_light_value);
  analogWrite(greenPin, green_light_value);
  analogWrite(bluePin, blue_light_value);
}
